cdac.medinfo.sdk.hl7282.hl7model.messages.masterfiles

## Class MFK_M09

- java.lang.Object
- - cdac.medinfo.sdk.hl7282.baselibs.messages.Message
  - - cdac.medinfo.sdk.hl7282.hl7model.messages.masterfiles.MFK_M01_Common
    - - cdac.medinfo.sdk.hl7282.hl7model.messages.masterfiles.MFK_M09

-     public final class MFK_M09
      extends MFK_M01_Common

  MFK_M09 - Master File Application Acknowledgment(Event M09).

  Represents a MFK_M01 message structure (see chapter 8.8.4). This structure contains the following elements:

  0: MSH (Message Header segment) SINGLE_COMPULSARY
  1: SFT (Software Segment) MULTIPLE_OPTIONAL
  2: UAC (User Authentication Credential Segment) SINGLE_OPTIONAL
  3: MSA (Message Acknowledgment Segment) SINGLE_COMPULSARY
  4: ERR (Error Segment) MULTIPLE_OPTIONAL
  5: MFI (Master File Identification Segment) SINGLE_COMPULSARY
  6: MFA (Master File Acknowledgment Segment) MULTIPLE_OPTIONAL
  This class provides mechanism to validate message against HL7 v 2.8.2 standard. The class provides accessors & mutators for the elements mentioned above. These elements can be easily populated & populated values can be easily retrieved. The class has validate method which validates Message against HL7 v 2.8.2 standard.

  Following is the step to create message
  Before that, respective Message Source and Message Recipient to be set on Message Factory.

  MFK_M09 objM09 = (MFK_M09)MessageFactory.createInstance().createSendSupportedMessage("MFK", "M09");

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MFK_M09(IMap objMessageMap)` Constructs the MFK_M09 message.

  - ### Method Summary

    - ### Methods inherited from class cdac.medinfo.sdk.hl7282.hl7model.messages.masterfiles.MFK_M01_Common

      `addErrorSegment, addErrorSegments, addMasterFileACKSegment, addMasterFileACKSegments, addSoftwareSegment, addSoftwareSegment, getErrorSegments, getMasterFileACKSegments, getMasterFileIdentificationSegment, getMessageAcknowledgmentSegment, getSoftwareSegments, getUserAuthenticationCredentialSegment, setMasterFileIdentificationSegment, setMessageAcknowledgmentSegment, setUserAuthenticationCredentialSegment`

    - ### Methods inherited from class cdac.medinfo.sdk.hl7282.baselibs.messages.Message

      `contains, dumpMessage, dumpMessage, getACKMode, getGroup, getGroupMap, getHeader, getMessageCode, getMessageControlID, getMessageStructure, getQueryUserParameters, getSegment, getSegmentSet, getSubscriptionType, getTriggerEvent, isQuery, isResponse, populate, removeGroup, removeSegment, removeSegment, removeSegmentAttribute, removeSegmentAttribute, removeSegmentAttribute, removeSegments, setHeader, setSubscriptionType, updateSegmentAttribute, updateSegmentAttribute, validate, writeToXML, writeToXML`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MFK_M09

          public MFK_M09(IMap objMessageMap)

      Constructs the MFK_M09 message.
      Parameters:
        `strTempTriggerEvent` -